Retrieve
curl --request GET \
--url https://{defaultHost}/v1/refund_items/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/refund_items/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/refund_items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9615d6ee-1ba7-46a9-8ac0-2dbfab72ace9",
"object": "refund_item",
"quantity": 1,
"restock": false,
"revoke_purchase": false,
"line_item": "72a71bbf-79e1-4500-a63d-7e271a888362",
"refund": "39017666-847d-4848-ad3a-929e5ff7ef10",
"created_at": 1787228458,
"updated_at": 1787228458
}Refund Items
Retrieve
Retrieves details of a specific refund item.
GET
/
v1
/
refund_items
/
{id}
Retrieve
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not the associated line item should be restocked.
Whether or not the associated purchase should be revoked.
The quantity of products being returned. This must be less than or equal to the fulfilled quantity of the associated line item.
Expandable – The associated line item ID.
Expandable – The associated refund ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?